# Create a supplier Creates a new supplier and returns its supplierId. Supplier names are unique within a project. Creating a supplier with a name that is already in use returns a '400 Bad Request' error. Leading and trailing whitespace is removed from the name before it is compared with the existing suppliers. Endpoint: POST /v1/suppliers Version: v1 Security: bearerAuth ## Request fields (application/json): - `name` (string, required) Name of the supplier to create. Leading and trailing whitespace is removed. Must be unique within the project. Example: "Lumon Industries" - `projectId` (string) Project ID (optional, defaults to user's 'active project') ## Response 201 fields (application/json): - `supplierId` (string) ID of the newly created supplier. You can use this ID to upload plots for the supplier. Example: "k5Pd2nLq6mWcYbSwmqXi" - `name` (string) Name of the newly created supplier, with leading and trailing whitespace removed. Example: "Lumon Industries" ## Response 400 fields ## Response 401 fields ## Response 403 fields